/*--FILE HEADER--------------------------------------------------------------
;   filename    : TypeDef.h
;   version     : 0001
;   contents    :
;   author      : T.G.
;   date        : Nov 09, 2005
;
;---FUNCTION-----------------------------------------------------------------
;
;   function    : TypeDef for non winodws operating systems
;
;---END OF FILE HEADER-------------------------------------------------------
;
;---MODIFICATION HEADER------------------------------------------------------
;
;   Nov 09, 2005  T.G.  0001  Original issue
;
;---END OF MODIFICATION HEADER-----------------------------------------------*/

#ifndef __TYPEDEFS_H
#define __TYPEDEFS_H

#define TRUE  1
#define FALSE 0

typedef unsigned int		BOOL;
typedef void						VOID;

typedef unsigned char 	UCHAR;
typedef char 						CHAR;

typedef char 						BYTE;
typedef unsigned short	WORD;
typedef unsigned long		DWORD;

typedef short						SHORT;
typedef unsigned short	USHORT;
typedef long						INT;
typedef unsigned long   UINT;
typedef long						LONG;
typedef unsigned long   ULONG;

typedef VOID*				PVOID;
typedef UCHAR*			PUCHAR;
typedef CHAR*				PCHAR;
typedef BYTE*				PBYTE;
typedef WORD*				PWORD;
typedef DWORD*			PDWORD;

typedef SHORT*			PSHORT;
typedef USHORT*			PUSHORT;
typedef INT*				PINT;
typedef UINT*       PUINT;
typedef LONG*				PLONG;
typedef ULONG*      PULONG;

#endif
